WESNOTHD(6)

NAME
wesnothd - Battle for Wesnoth Mehrspielernetzwerkdaemon

ZUSAMMENFASSUNG
wesnothd [-dv] [-c Pfad] [-p Port] [-t Nummer] [-T Nummer]
wesnothd -V

BESCHREIBUNG
Verwaltet Battle for Wesnoth Mehrspieler Partien. Siehe auf http://www.wesnoth.org/wiki/ServerAdministration für die Befehle, die der Server von Wesnoth (/query ...) oder über die FIFO entgegen nimmt.

KOMMANDOZEILENOPTIONEN

-c Pfad, --config Pfad
    sagt wesnothd wo er die zu benutzende Konfigurationsdatei findet. Siehe im Abschnitt SERVER KONFIGURATION unterhalb für den genauen Syntax. Sie können die Konfigurationsdatei durch senden eines SIGHUP an den Serverprozess neuladen.

-d, --daemon
    startet wesnothd als Dämon.

-h, --help
    Gibt die möglichen Kommandozeilenoptionen aus.

--log-level=Domäne1,Domäne2,...
    Setzt die Stufe der Debugausgabe. Verwenden Sie all, um sämtliche Domänen zu verwenden. Verfügbare Stufen: error, warning, info,debug. Standardmäßig werden die Stufe error für die Domäne des Spieles und die Stufe info für die Domäne des Servers verwendet.

-p Port, --port Port
    bindet den Server an den angegebenen Port. Wenn kein Port angegeben ist, wird Port 15000 genommen.

-t Nummer, --threads Nummer
    Legt die maximale Anzahl an Arbeiterprozessen für Netzwerk I/O fest. (Standard: 5, Maximum: 30)

-t, --max-threads Wert
    Legt die maximal zu erzeugende Anzahl an Arbeiterprozessen fest. Bei einem Wert von 0 gibt es keine Beschränkung. (Standard: 0)

-V, --version
    Zeigt die Versionsnummer an und beendet das Programm.

-v, --verbose
    aktiviert mehr Details in der Logausgabe.

SERVER KONFIGURATION

  Der allgemeine Syntax ist:

[Element]

    Schlüssel="Wert"

    Schlüssel="Wert,Wert,..."

[/Element]

  Globale Schlüssel:

ban_save_file
    Kompletter oder relativer Pfad zu einer (gzip-komprimierten) Datei, die der Server lesen und schreiben kann. Bans werden in diese Datei gespeichert und beim Start vom Server eingelesen.

connections_allowed
    Die Anzahl zulässiger Verbindungen von der gleichen IP Adresse. 0 heißt unendlich. (Standard: 5)

disallow_names
    Namen/Spitznamen die der Server nicht akzeptiert. `*' und `?' sind als Platzhalter unterstützt. Siehe glob(7) für mehr Details. Standardwerte (wenn sonst nichts angegeben wurde) sind: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Der Pfad zur FIFO-Datei, in die Befehle für den Server geschrieben werden können (das gleiche wie /query ... aus Wesnoth selbst heraus). Falls nicht angegeben, wird die einkompilierte Voreinstellung verwendet (Standard: /var/run/socket/wesnothd/socket).

max_messages
    Die Anzahl der erlaubten Nachrichten in messages_time_period. (Standard: 4)

messages_time_period
    Der Zeitraum (in Sekunden) in dem "message flooding" erkannt wird. (Standard: 10)

motd
    Die "Nachricht des Tages".

passwd
    Das Passwort um auf dem Server Administratorrechte zu erhalten. Es beginnt per Konvention mit `admin '.

replay_save_path
    Legt den Ordner fest, in dem der Server Wiederholungen abspeichert. (Vergesst das abschließende /! nicht) Standardmäßig wird `' verwendet, was für den Ordner steht, in dem wesnothd gestartet wurde.

restart_command
    Der Befehl, den der Server verwendet, um einen neuen Server-Prozess über den »restart«-Befehl zu starten. (Kann nur über die FIFO angefordert werden.)

save_replays
    Legt fest, ob vom Server automatisch Wiederholungen gespeichert werden sollen. (Standard: false)

versions_accepted
    Eine durch Komma getrennte Liste der Programmversionen, die der Server zulässt. `*' und `?' sind erlaubt. (Standard: Die aktuell installierte Wesnoth Version)
    Beispiel: versions_accepted="*" akzeptiert alle Versionen.

user_handler
    Der Name der zu verwendenden Nutzerverwaltung. Momentan sind als Nutzerverwaltungen »forum« (um via wesnothd eine Verbindung zu einer phpbb Forum Datenbank aufzubauen) und »sample« (eine Beispielimplementierung der Nutzerverwaltungsschnittstelle, diese dient nur als Beispiel und sollte nicht genutzt werden) verfügbar. Standardmäßig wird die Nutzerverwaltung »forum« verwendet. Außerdem muss ein [user_handler] angelegt werden. Der Aufbau von diesem ist weiter unten beschrieben.

  Globale Elemente:

[redirect] Ein Element um bestimmte Programmversionen anzugeben, die auf einen anderen Server umgeleitet werden sollen.

    host
        Die Adresse des Rechners, zu dem umgeleitet wird.

    port
        Der dabei zu verwendende Port.

    version
        Eine durch Komma getrennte Liste der Versionen, die umgeleitet werden sollen. Verhält sich in Bezug auf Wildcards genauso wie versions_accepted.

[ban_time] Eine Markierung, um A tag to define convenient keywords for temporary ban time lengths.

    name
        Der Name, um die Ban-Zeit zu referenzieren.

    time
        Die Zeitlängen-Definition. Das Format lautet: %d[%s[%d%s[...]]] wobei %s für s (Sekunden), m (Minuten), h (Stunden), D (Tage), M (Monate) oder Y (Jahre) und %d für eine Nummer steht. Falls keine Zeitdefinition verwendet wird, werden Minuten (m) angenommen. Beispiel: time="1D12h30m" steht für eine Ban-Zeit von einem Tag, 12 Stunden und 30 Minuten.

[proxy] Ein Element, das benutzt wird um dem Server mitzuteilen, wie ein Proxy zu agieren und somit alle Anfragen des mit ihm verbundenen Rechners an den angegebenen Server weiterzuleiten. Es werden die gleichen Schlüssel wie bei [redirect] akzeptiert.

[user_handler] Dies Konfiguriert die Nutzerverwaltung. Die verwendbaren Schlüssel hängen davon ab, welche Nutzerverwaltung beim user_handler Schlüssel festgelegt wurde. Ist kein [user_handler] Bereich vorhanden, so ist es nicht möglich registrierte Nutzernamen auf dem Server zu verwenden.

    db_host
        (für user_handler=forum) Der Hostname des Datenbank-Servers

    db_name
        (für user_handler=forum) Der Name der zu nutzenden Datenbank

    db_user
        (für user_handler=forum) Der Benutzername, der zur Anmeldung an der Datenbank verwendet werden soll

    db_password
        (für user_handler=forum) Das zugehörige Passwort für den Nutzer

    db_users_table
        (für user_handler=forum) Der Name der Tabelle, in der das phpbb Forum die Nutzerdaten ablegt. Dies ist höchstwahrscheinlich <table-prefix>_users (z.B. phpbb3_users).

    db_extra_table
        (für user_handler=forum) Der Name der Tabelle, in der wesnothd spezifische Nutzerdaten abgelegt werden sollen. Diese Tabelle muss manuell angelegt werden. Dies erfolgt z.B. mit einem Befehl wie diesem: CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (für user_handler=sample) Zeit (in Tagen) nach der ein registrierter Benutzername verfällt.

[mail] Konfiguriert einen SMTP-Server über den die Nutzerverwaltung Benachrichtigungen verschicken kann. Dies wird momentan nur von der Nutzerverwaltung »sample« verwendet.

    server
        Der Hostname des Mail-Servers.

    username
        Der Nutzername mit welchem man sich beim Mail-Server anmeldet.

    password
        Das Passwort dieses Nutzers.

    from_address
        Die Antwortadresse für ausgehende Mails.

    mail_port
        Der Port, auf welchem der Mailserver arbeitet. Standardmäßig wird Port 25 verwendet.

AUTOR
Geschrieben von David White <davidnwhite@verizon.net>. Bearbeitet von Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net>, Soliton <soliton.de@gmail.com> und Thomas Baumhauer <thomas.baumhauer@gmail.com>. Übersetzt von Jan-Heiner Laberenz <Jan-Heiner@arcor.de>, Nils Kneuper <crazy-ivanovic@gmx.net>und Soliton <soliton.de@gmail.com>. Diese Beschreibung stammt im Original von Cyril Bouthors <cyril@bouthors.org>.
Besuchen Sie auch die offizielle Webseite: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 2 der Lizenz oder (nach Ihrer Option) jeder späteren Version. Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. Sie sollten eine Kopie der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

ANDERE
wesnoth(6), wesnoth_editor(6)